Debian-Sicherheitsankündigung

DSA-1468-1 tomcat5.5 -- Mehrere Verwundbarkeiten

Datum des Berichts:
20. Jan 2008
Betroffene Pakete:
tomcat5.5
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2008-0128, CVE-2007-2450.
Weitere Informationen:

Mehrere entfernt ausnutzbare Verwundbarkeiten wurden im Tomcat-Servlet und -JSP-Engine entdeckt. Das Common Vulnerabilities and Exposures-Projekt identifiziert die folgenden Probleme:

  • CVE-2008-0128

    Olaf Kock entdeckte, dass eine HTTPS-Verschlüsselung unzureichend für single-sign-on-Cookies erzwungen wurde, was zu einer Informationsenthüllung hätte führen können.

  • CVE-2007-2450

    Es wurde entdeckt, dass die Manager- und Host-Manager-Web-Anwendungen eine unzureichende Eingabebereinigung durchführten, was zu einem Site-übergreifenden Skripting-Angriff hätte führen können.

Diese Aktualisierung passt auch das Paket tomcat5.5-webapps an die abgeschwächten JULI-Rechte an, die in der vorhergehenden tomcat5.5-DSA eingeführt wurden. Es sollte aber bemerkt werden, dass tomcat5.5-webapps nur für Demonstrations- und Dokumentationszwecke ist und nicht in produktiven Systemen verwendet werden sollte.

Die alte Stable-Distribution (Sarge) enthält tomcat5.5 nicht.

Für die Stable-Distribution (Etch) wurden diese Probleme in Version 5.5.20-2etch2 behoben.

Für die Unstable-Distribution (Sid) werden diese Probleme bald behoben sein.

Wir empfehlen Ihnen, Ihre tomcat5.5-Pakete zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (stable)

Quellcode:
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20.orig.tar.gz
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch2.diff.gz
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch2.dsc
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-admin_5.5.20-2etch2_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/libtomcat5.5-java_5.5.20-2etch2_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch2_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-webapps_5.5.20-2etch2_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.